/* ndate.c -- 'date' in ISO 8601 format, +1sec, companion to ./dstart. */

/*
 * $Log: ndate.c,v $
 * Revision 1.1  2004/08/02 18:35:39  amn
 * First release of sf.c, software Mk4/VLBA formatter.
 *
 */

/* Copyright (C) 2001--2004 Ari Mujunen, Ari.Mujunen@hut.fi

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software Foundation,
   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  */


#include <stdio.h>
#include <stdlib.h>
#include <assert.h>

#include <sys/time.h>  /* gettimeofday() */
#include <time.h>  /* mktime() */


int
main(int argc, char *argv[]) {

  /* Default output format is ISO 8601, +1sec forward from current time. */
  char *fs = "%04d-%02d-%02dT%02d:%02d:%02d\n";
  int off = +1;
  struct timeval d;
  time_t temptime;
  struct tm *ti;

  /* Take current time first. */
  assert( gettimeofday(&d, NULL) == 0 );

  if (argc > 1) {
    if (argv[1][0] == '-') {  /* any argument causes '-h'elp */
      fprintf(stderr, "%s: usage: %s [format [secs]]\n"
              "\tformat default '%s'\n"
              "\tsecs default %+d\n", argv[0], argv[0], fs, off);
      exit(EXIT_FAILURE);
    }
    fs = argv[1];
  }

  if (argc > 2) {
    off = atoi(argv[2]);
  }

  temptime = (time_t)(d.tv_sec + off);
  ti = gmtime(&(temptime));
  /* Ignore 'atv->tv_usec' for now. */
  printf(fs,
         ti->tm_year + 1900,
         ti->tm_mon + 1,
         ti->tm_mday,
         ti->tm_hour,
         ti->tm_min,
         ti->tm_sec
         /* int     tm_wday;        * day of the week */
         /* int     tm_yday;        * day in the year */
         /* int     tm_isdst;       * daylight saving time */
         );

  return(EXIT_SUCCESS);
}  /* main */
