/* trunc.c -- Quick file truncation command. */

/*
 * $Log: trunc.c,v $
 * Revision 1.1  2006/03/23 10:03:08  jwagner
 * added amn's files
 *
 *
 */

/* Copyright (C) 2003 Ari Mujunen, Ari.Mujunen@hut.fi

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software Foundation,
   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  */


#if 0
#include <sys/types.h>  /* for open()ing */
#include <sys/stat.h>
#include <fcntl.h>
#endif
#include <stdio.h>
#include <stdlib.h>  /* for exit() */
#include <unistd.h>  /* for truncate()ing */
#include <string.h>  /* for strerror() */
#include <errno.h>   /* for variable errno */
#include <assert.h>

int
main(int argc, char **argv)
{
  off64_t offset;

  if (argc < 3) {
    fprintf(stderr, "%s: needs at least offset path\n", argv[0]);
    exit(EXIT_FAILURE);
  }

  /* File read block size and the corresponding memblk of 32-bit words. */
  offset = atoll(argv[1]);

  if (truncate64(argv[2], offset) != 0) {
    fprintf(stderr, "%s: truncate64(\"%s\", %llu): %s\n",
            argv[0],
            argv[2],
            offset,
            strerror(errno));
    return (EXIT_FAILURE);
  }
  return (EXIT_SUCCESS);
}  /* main */
